package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingDiscountItemRemoveAsyncRequest struct {
	/*
	   sku信息     */
	Param0 *[]domain.AlibabaWdkMarketingDiscountItemRemoveAsyncItemDiscountSku `json:"param0" required:"true" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam `json:"param1,omitempty" required:"false" `
	/*
	   alibaba.wdk.marketing.version.generate接口生成     */
	Version *int64 `json:"version" required:"true" `
}

func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest) SetParam0(v []domain.AlibabaWdkMarketingDiscountItemRemoveAsyncItemDiscountSku) *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest) SetParam1(v domain.AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam) *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest {
	s.Param1 = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest) SetVersion(v int64) *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest {
	s.Version = &v
	return s
}

func (req *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStructList(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	if req.Version != nil {
		paramMap["version"] = *req.Version
	}
	return paramMap
}

func (req *AlibabaWdkMarketingDiscountItemRemoveAsyncRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
